function sour=andrew_cand2sour(cand,t0,det)

% sour.ecl=[cand(2) cand(3)];
sour.lam=cand(2);
sour.bet=cand(3);
sour.f0=cand(14);
sour.df0=-abs(cand(15));
sour.ddf0=0;
sour.n=cand(7);
sour.x0=cand(1);
sour.kn=cand(4);
sour.dur=cand(10);
sour.tau=sour.f0/(abs(sour.df0)*(sour.n-1));
sour.fepoch=t0;
sour.pepoch=t0;
sour.v_a=0;
sour.v_d=0;
[sour.a,sour.d]=astro_coord('ecl','equ',cand(2),cand(3));
sour.ulam=0;%cand(7);
sour.ubet=0;%cand(8);
sour.ux=cand(13);
sour.uk=cand(8);
sour.tfft=1/cand(11);
sour.det=det;
sour.cr=cand(6);